@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');
:root{
    --primarycolor:#212121;
    --primaryopacitycolor:#21212188;
    --secondary-color:#2d2d2d;
    --dark-gray:#eaeaea;
    --white:#fff;
    --jost:"Jost", serif;
    --lobster:"Lobster", serif;
    --ss:sans-serif;
    --default-transition:350ms;
}
.bg-dark{
    background: #212121 !important;
}
.text-dark
{
    color: var(--primarycolor) !important;
}
*{padding: 0;margin: 0;box-sizing: border-box;text-decoration: none;font-family: var(--jost);}
a{text-decoration: none;}
p{margin-bottom: 0;}
body{overflow-x: hidden ;color: var(--white);}
ul{list-style: none;margin: 0;padding: 0;}
input:focus:not(input[type=checkbox]),
textarea:focus
{
    box-shadow: 0 0 1px 3px var(--primaryopacitycolor) ;
    border-color: var(--primarycolor) !important;
}
input:user-invalid,
textarea:user-invalid
{
    box-shadow: 0 0 1px 3px #f005 !important;
    border-color: #f00 !important;
}
.sans-serif{
    font-family: var(--ss);
}
.jost{
    font-family: var(--jost);
}
.lobster{
    font-family: var(--lobster);

}
strong{
    font-family: inherit;
}

/* Hero Section */
.hero-section
{
    position: relative;
    min-height: 100dvh;
    background: var(--primarycolor);
    display: flex;
    justify-content: center;
    align-items: center;
}

.hero-section::before
{
    content: '';
    position: absolute;
    inset: 0;
    background: var(--white);
    pointer-events: none;
    clip-path: polygon(0% 100%, 100% 90%,100% 100%);
}
.hero-section .hero-wrapper{
    width: 100% !important;
}
.hero-section .hero-text
{
    text-align: center;
    /* overflow: hidden; */
    font-size: 4rem;
}
.hero-section .hero-text span.active{
    color: var(--white);
    font-family: var(--lobster);
}
@media(max-width:567px){
    .hero-section .hero-text span.active{
        font-size: 2rem;
    }
}
.home-banner .owl-nav{
    display: flex;
    padding: 1rem 0;
    gap: 1rem;
}
.home-banner .owl-nav button
{
    position: relative;
    width: 54px;
    font-size: 1.7rem !important;
    aspect-ratio: 1;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.home-banner .owl-nav button::after
{
    content: '';
    position: absolute;
    inset: 0;
    border: 4px dashed var(--bs-primary) !important;
    transition: var(--default-transition);
    border-radius: 50%;
    animation: rotate 10s linear infinite;
}
@keyframes rotate{
    0%{
        transform: rotate(0);
    }100%{
        transform: rotate(360deg);
    }
}
.projects h1{
    font-size: 3.5rem;
}
.projects .projectBx
{
    position: relative;
    width: 100%;
    border: 1px solid #fff;
    cursor: pointer;
    overflow: hidden;
    border-radius: 8px;
    padding: 0;
}
.projects .projectBx img
{
    position: relative;
    width: 100%;
    aspect-ratio: 2;
    height: 100%;
    object-fit: cover;
}
.projects .projectBx .content
{
    position: absolute;
    border-radius: 4px;
    inset: 3px;
    color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;  
    backdrop-filter: blur(5px);
    transform: translate(-105%,-105%);
    transition: 0.5s;
    background: var(--primaryopacitycolor);
}
.projects .projectBx .content h4{
    font-size: 3rem;
    text-align: center;
}
.projects .projectBx:hover .content{
    transform: translate(0,0);
}
@media(max-width:567px){
    .projects .projectBx
    {
        border: none;
        box-shadow: 0px 5px 1px var(--bs-primary);   
    }
    .projects .projectBx .content
    {
        position: relative;
        border-radius: 4px;
        inset:unset;
        color: var(--white);
        display: flex;
        justify-content: center;
        align-items: center;  
        backdrop-filter: blur(0px);
        transform: translate(0,0);
        transition: var(--default-transition);
        background: transparent;
    }
}

/* Skills CSS */
.skill-card
{
    position: relative;
    cursor: pointer;
}
.skill-card .imgBx
{
    position: relative;
    width: 100%;
    aspect-ratio: 1;
    border-radius: 50%;
    margin-bottom: 1rem;
    padding: 2rem;
    transform-style: preserve-3d;
    perspective: 1000px;
}
.skill-card .imgBx::before{
    content: '';
    position: absolute;
    inset: 0;
    border: 5px dashed var(--bs-primary);
    border-radius: 50%;
    animation: rotate 60s linear infinite;

}
.skill-card .imgBx img
{
    width: 100%;
    padding: 10px;
    aspect-ratio: 1;
    object-fit: contain;
    border-radius: 50%;
    transform-style: preserve-3d;
    border: 2px solid var(--primarycolor);
    transition: var(--default-transition);
}
.skill-card:hover .imgBx img{
    transform: translateZ(40px);
    border: 2px solid var(--white);
}

.about-section{
    position: relative;
}
.about-section::before
{
    content: '';
    position: absolute;
    inset: 0;
    bottom:-5px;
    background: #212121;
    pointer-events: none;
    clip-path: polygon(0% 100%, 100% 90%,100% 100%);
}

#card-wrapper{
    position: relative;
    height: 100dvh;
    overflow: hidden;
}
#card-wrapper::before
{
    content: '';
    position: absolute;
    top: var(--y);
    left:var(--x);
    width: 200px;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #0f0;
    filter: drop-shadow(0px 0px 10px #0f0);
    transform: translate(-50%,-50%);
}
.card
{
    position: relative;
    width: 155px;
    min-width: 120px;
    aspect-ratio: 1;
    background: #33333333;
    /* border: 1px solid #fffffff9; */
    border-radius: 0;
    cursor: pointer;
    backdrop-filter: blur(20px);
    pointer-events: none;
}

.card:hover{
    background: #fff8;
}
#card-wrapper .cards
{
    display: flex;
    gap: 1px;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}